html{
    line-height: 1.5;
}

body {
    font-family: Arial, Roboto, sans-serif;
    background: #131313;
    margin: 0;
    padding: 20px;
    color: white;
    text-rendering: optimizeLegibility;
}

.contenedor {
    max-width: 800px;
    margin: auto;
}

h1 {
    text-align: center;
}

#buscador {
    width: 100%;
    padding: 15px;
    font-size: 18px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 8px;
    margin-bottom: 15px;
    background: #343434;
    color: white;
}

.cancion {
    background: #343434;
    padding: 15px;
    margin-bottom: 8px;
    border-radius: 8px;
    cursor: pointer;
    font-size: 17px;
}

.cancion:hover {
    background: #eaeaea;
}

.vacio {
    text-align: center;
    color: #777;
}

#modal {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.65);
    justify-content: center;
    align-items: center;
    padding: 3px;
    box-sizing: border-box;
}

#contenidoModal {
    background: #131313;
    width: 100%;
    max-width: 750px;
    max-height: 97dvh;
    overflow-y: auto;
    border-radius: 10px;
    padding: 25px 5px;
    position: relative;
    box-sizing: border-box;
}

#cerrar {
    position: absolute;
    top: 5px;
    right: 15px;
    border: none;
    background: #ff0000;
    font-size: 25px;
    cursor: pointer;
        color: black;

}

#modalTitulo {
    margin-top: 10px;
    margin-bottom: 5px;
}

#modalArtista {
    margin-top: 0;
    color: #BDBDBD;
    font-weight: normal;
}

.datos {
    background: #343434;
    padding: 12px;
    border-radius: 8px;
    margin-bottom: 20px;
}

.datos p {
    margin: 6px 0;
}

#modalLetra {
    white-space: pre-wrap;
    font-size: 1.1rem;
    font-weight: 400;
    line-height: 1.15;
    padding: 10px 0px;
    color: white;
}

.linea {
    padding: 4px 6px;
}

/* Gris más fuerte */
.gris1 {
    background: #131313;
}

/* Gris más clarito */
.gris2 {
    background: #242424;
}

/* Líneas vacías completamente blancas */
.linea.vacia {
    background: transparent;
}